package net.wanji.utc.hisense.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/11/12 15:14
 */
@Getter
@AllArgsConstructor
public enum HisenseTurnEnum {
     // 万集:'车道转向：1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头', 0 默认没有匹配
     // hisen:      1-左,2-直,3-右,4-调头,5-左调头,6-左直,7-左右,8-直右,9-左直右,10-直调头,11-入口行人,12-出口行人,13-出入口行人,14-左直调头,15-右掉头,16-左右掉头,17-直右掉头,18-左直右掉头
    TURN_1(1, 1, 1,"左"),
    TURN_2(2, 2, 1,"直"),
    TURN_3(3, 3, 1,"右"),
    TURN_4(4, 4, 1,"调头"),
    TURN_5(5, 1, 1,"左调头"),
    TURN_6(6, 2, 2,"左直"),//圆饼
    TURN_7(7, 1, 2,"左右"),//圆饼
    TURN_8(8, 2, 1,"直右"),
    TURN_9(9, 2, 2,"左直右"),//圆饼
     TURN_11(11, 21, 3,"入口行人"),
    TURN_10(10, 2, 2,"直调头"),//圆饼
    TURN_12(12, 22, 3,"出口行人"),
    TURN_13(13, 20, 3,"出入口行人"),
    TURN_14(14, 2, 2,"左直调头"),//圆饼
    TURN_15(15, 3, 1,"右调头"),
    TURN_16(16, 1, 2,"左右调头"),//圆饼
    TURN_17(17, 2, 2,"直右掉头"),//圆饼
    TURN_18(18, 2, 2,"左直右掉头");//圆饼
    private Integer hisenseTurn;
    private Integer wjLightsTurn;
    //灯组类型：1箭头2圆饼3行人
    private Integer type;
    private String desc;

    public static Integer getWjLightsTurn(Integer hisenseTurn) {
        for (HisenseTurnEnum value : HisenseTurnEnum.values()) {
            if (Objects.equals(hisenseTurn, value.getHisenseTurn())) {
                return value.getWjLightsTurn();
            }
        }
        return 0;
    }

    public static Integer getType(Integer hisenseTurn) {
        for (HisenseTurnEnum value : HisenseTurnEnum.values()) {
            if (Objects.equals(hisenseTurn, value.getHisenseTurn())) {
                return value.getType();
            }
        }
        return 0;
    }
}
